Package org.eclipse.net4j.util.ui.widgets

# Class SashComposite

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.net4j.util.ui.widgets.SashComposite

All Implemented Interfaces:
  `INotifier`, `Drawable`

public abstract class SashComposite extends Composite implements INotifier

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`SashComposite.OrientationChangedEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

## Constructor Summary

Constructors
Constructor
Description
`SashComposite(Composite parent, int style, int limit, int percent)`
`SashComposite(Composite parent, int style, int limit, int percent, boolean borders)`
`SashComposite(Composite parent, int style, int limit, int percent, boolean borders, boolean vertical, boolean showBand)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(IListener listener)`
Adds a listener to this notifier.
`protected abstract Control`
`createControl1(Composite parent)`
`protected abstract Control`
`createControl2(Composite parent)`
`protected Sash`
`createSash(Composite parent)`
`void`
`dispose()`
`Control`
`getControl1()`
`Control`
`getControl2()`
`IListener[]`
`getListeners()`
Returns the listeners that are registered with this notifier.
`Sash`
`getSash()`
`boolean`
`hasListeners()`
Returns `true` if one or more listeners are registered with this notifier, `false` otherwise.
`protected void`
`init()`
`boolean`
`isVertical()`
`void`
`removeListener(IListener listener)`
Removes a listener from this notifier.
`void`
`setVertical(boolean vertical)`
`protected void`
`swap()`
`protected void`
`swap(FormData formData)`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### SashComposite

public SashComposite(Composite parent, int style, int limit, int percent)

### SashComposite

public SashComposite(Composite parent, int style, int limit, int percent, boolean borders)

### SashComposite

public SashComposite(Composite parent, int style, int limit, int percent, boolean borders, boolean vertical, boolean showBand)

Since:
  3.13

## Method Details

### dispose

public void dispose()

Overrides:
  `dispose` in class `Widget`
Since:
  2.0

### addListener

public void addListener(IListener listener)
Description copied from interface: `INotifier`
Adds a listener to this notifier.

Depending on the implementation duplicate listeners may lead to duplicate event delivery or not. Implementors are encouraged to prevent events from being delivered more than once to the same listener,

Specified by:
  `addListener` in interface `INotifier`
Since:
  2.0

### getListeners

public IListener[] getListeners()
Description copied from interface: `INotifier`
Returns the listeners that are registered with this notifier.

Depending on the implementation duplicate listeners may be contained in the returned array.

Specified by:
  `getListeners` in interface `INotifier`
Since:
  2.0

### hasListeners

public boolean hasListeners()
Description copied from interface: `INotifier`
Returns `true` if one or more listeners are registered with this notifier, `false` otherwise.

Specified by:
  `hasListeners` in interface `INotifier`
Since:
  2.0

### removeListener

public void removeListener(IListener listener)
Description copied from interface: `INotifier`
Removes a listener from this notifier.

Specified by:
  `removeListener` in interface `INotifier`
Since:
  2.0

### isVertical

public boolean isVertical()

### setVertical

public void setVertical(boolean vertical)

### getSash

public Sash getSash()

### getControl1

public Control getControl1()

### getControl2

public Control getControl2()

### init

protected void init()

### swap

protected void swap()

### swap

protected void swap(FormData formData)

### createSash

protected Sash createSash(Composite parent)

### createControl1

protected abstract Control createControl1(Composite parent)

### createControl2

protected abstract Control createControl2(Composite parent)